package com.tencent.mm.plugin.shake.d.a;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.sdk.platformtools.ab;
import com.tencent.mm.sdk.platformtools.bo;
import com.tencent.mm.sdk.platformtools.br;
import com.tencent.ytcommon.BuildConfig;
import java.util.Map;

public class m$b {
    public String pdz;
    public String qtZ;
    public String thumbUrl;
    public String title;

    private m$b() {
    }

    public static m$b WH(String str) {
        m$b m_b;
        AppMethodBeat.i(24672);
        Map z = br.z(str, "nativepay");
        if (z != null) {
            try {
                m$b m_b2 = new m$b();
                m_b2.title = bo.nullAsNil((String) z.get(".nativepay.title"));
                m_b2.thumbUrl = bo.nullAsNil((String) z.get(".nativepay.thumburl"));
                m_b2.qtZ = bo.nullAsNil((String) z.get(".nativepay.wx_pay_url"));
                m_b2.pdz = bo.nullAsNil((String) z.get(".nativepay.price"));
                m_b = m_b2;
            } catch (Exception e) {
                ab.printErrStackTrace("MicroMsg.ShakeTVXmlParser", e, BuildConfig.FLAVOR, new Object[0]);
                m_b = null;
            }
        } else {
            m_b = null;
        }
        AppMethodBeat.o(24672);
        return m_b;
    }
}
